> For the complete documentation index, see [llms.txt](https://docs.serenicity.fr/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.serenicity.fr/api/reference/api-reference/lurio-reports.md).

# Lurio reports

{% hint style="info" %}
For all reports queries, you have a pagination that allows you to retrieve the data.
{% endhint %}

```json
"meta": {
    "total": 122170,
    "per_page": 100,
    "current_page": 1,
    "last_page": 1222,
    "first_page": 1
},
```

{% hint style="warning" %}
Fields with \* are required.
{% endhint %}

## Get reports

## Get all reports of a lurio between two dates.

<mark style="color:blue;">`GET`</mark> `https://api.control.serenicity.fr/api/v1/lurios/:lurio_id/reports`

Return list of reports.&#x20;

{% hint style="info" %}
Rows are sorted by `created_at` column
{% endhint %}

#### Path Parameters

| Name                                        | Type    | Description |
| ------------------------------------------- | ------- | ----------- |
| lurio\_id<mark style="color:red;">\*</mark> | Integer |             |

#### Query Parameters

| Name                                   | Type                 | Description                                                              |
| -------------------------------------- | -------------------- | ------------------------------------------------------------------------ |
| from<mark style="color:red;">\*</mark> | 2024-01-01T00:00:00Z | Start date in ISO format                                                 |
| to<mark style="color:red;">\*</mark>   | 2024-02-01T00:00:00Z | End date in ISO format                                                   |
| page                                   | 1                    | By default 1. The page has to be between `last_page` *and* `first_page`. |
| per\_page                              | 100                  | Number of flux per page. 100 by default.                                 |

{% tabs %}
{% tab title="200: List of reports" %}

```javascript
{
    "meta": {
        "total": 70244,
        "per_page": 2,
        "current_page": 1,
        "last_page": 7025,
        "first_page": 1
    },
    "data": [
        {
            "ip": "123.123.123.123",
            "created_at": "2023-11-23T23:11:19.763Z",
            "threat": {
                "name": "bruteforce",
                "type": "rdp"
            }
        },
        {
            "ip": "11.22.33.44",
            "created_at": "2023-11-23T23:13:40.763Z",
            "threat": {
                "name": "bruteforce",
                "type": "ftp"
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}
